#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. 2001 - 2003. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Syncfusion.Windows.Forms.Diagram.Samples.QuickStart
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panelSymbolPalettes;
		private Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupBar paletteGroupBar;
		private System.Windows.Forms.Panel panelProperties;
		private System.Windows.Forms.Panel panelDiagram;
		private Syncfusion.Windows.Forms.Diagram.Controls.PropertyEditor propertyEditor;
		private Syncfusion.Windows.Forms.Tools.GroupBarItem groupBarItemTestSymbols;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.SaveFileDialog saveFileDialog1;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItemFileOpen;
		private System.Windows.Forms.MenuItem menuItemFileSave;
		private System.Windows.Forms.MenuItem menuItemFileExit;
		private System.Windows.Forms.MenuItem menuItemToolsSelect;
		private System.Windows.Forms.MenuItem menuItemToolsPan;
		private System.Windows.Forms.MenuItem menuItemToolsZoom;
		private System.Windows.Forms.MenuItem menuItemToolsGroup;
		private System.Windows.Forms.MenuItem menuItemToolsUngroup;
		private System.Windows.Forms.MenuItem menuItemToolsLink;
		//private Syncfusion.Windows.Forms.Diagram.Controls.Diagram diagram1;
		private MyDiagram diagram1;
		private Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupView paletteGroupView1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.panelSymbolPalettes = new System.Windows.Forms.Panel();
			this.paletteGroupBar = new Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupBar();
			this.paletteGroupView1 = new Syncfusion.Windows.Forms.Diagram.Controls.PaletteGroupView();
			this.groupBarItemTestSymbols = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
			this.panelProperties = new System.Windows.Forms.Panel();
			this.propertyEditor = new Syncfusion.Windows.Forms.Diagram.Controls.PropertyEditor();
			this.diagram1 = new MyDiagram();//Syncfusion.Windows.Forms.Diagram.Controls.Diagram();
			this.panelDiagram = new System.Windows.Forms.Panel();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItemFileOpen = new System.Windows.Forms.MenuItem();
			this.menuItemFileSave = new System.Windows.Forms.MenuItem();
			this.menuItemFileExit = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItemToolsSelect = new System.Windows.Forms.MenuItem();
			this.menuItemToolsPan = new System.Windows.Forms.MenuItem();
			this.menuItemToolsZoom = new System.Windows.Forms.MenuItem();
			this.menuItemToolsGroup = new System.Windows.Forms.MenuItem();
			this.menuItemToolsUngroup = new System.Windows.Forms.MenuItem();
			this.menuItemToolsLink = new System.Windows.Forms.MenuItem();
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
			this.panelSymbolPalettes.SuspendLayout();
			this.paletteGroupBar.SuspendLayout();
			this.panelProperties.SuspendLayout();
			this.panelDiagram.SuspendLayout();
			this.SuspendLayout();
			// 
			// panelSymbolPalettes
			// 
			this.panelSymbolPalettes.Controls.AddRange(new System.Windows.Forms.Control[] {
																							  this.paletteGroupBar});
			this.panelSymbolPalettes.Dock = System.Windows.Forms.DockStyle.Left;
			this.panelSymbolPalettes.Name = "panelSymbolPalettes";
			this.panelSymbolPalettes.Size = new System.Drawing.Size(144, 524);
			this.panelSymbolPalettes.TabIndex = 0;
			// 
			// paletteGroupBar
			// 
			this.paletteGroupBar.AllowDrop = true;
			this.paletteGroupBar.Controls.AddRange(new System.Windows.Forms.Control[] {
																						  this.paletteGroupView1});
			this.paletteGroupBar.Dock = System.Windows.Forms.DockStyle.Fill;
			this.paletteGroupBar.EditMode = false;
			this.paletteGroupBar.GroupBarItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupBarItem[] {
																											  this.groupBarItemTestSymbols});
			this.paletteGroupBar.Name = "paletteGroupBar";
			this.paletteGroupBar.SelectedItem = 0;
			this.paletteGroupBar.Size = new System.Drawing.Size(144, 524);
			this.paletteGroupBar.TabIndex = 0;
			this.paletteGroupBar.Text = "paletteGroupBar1";
			// 
			// paletteGroupView1
			// 
			this.paletteGroupView1.EditMode = false;
			this.paletteGroupView1.Location = new System.Drawing.Point(2, 24);
			this.paletteGroupView1.Name = "paletteGroupView1";
			this.paletteGroupView1.Size = new System.Drawing.Size(140, 498);
			this.paletteGroupView1.TabIndex = 0;
			this.paletteGroupView1.Text = "paletteGroupView1";
			this.paletteGroupView1.LoadPalette(typeof(Syncfusion.Windows.Forms.Diagram.Samples.QuickStart.MainForm).Assembly, "Syncfusion.Windows.Forms.Diagram.Samples.QuickStart.MainForm", "paletteGroupView1.Palette");
			// 
			// groupBarItemTestSymbols
			// 
			this.groupBarItemTestSymbols.Client = this.paletteGroupView1;
			this.groupBarItemTestSymbols.Text = "Test Symbols";
			// 
			// panelProperties
			// 
			this.panelProperties.Controls.AddRange(new System.Windows.Forms.Control[] {
																						  this.propertyEditor});
			this.panelProperties.Dock = System.Windows.Forms.DockStyle.Right;
			this.panelProperties.Location = new System.Drawing.Point(608, 0);
			this.panelProperties.Name = "panelProperties";
			this.panelProperties.Size = new System.Drawing.Size(184, 524);
			this.panelProperties.TabIndex = 1;
			// 
			// propertyEditor
			// 
			this.propertyEditor.Diagram = this.diagram1;
			this.propertyEditor.Dock = System.Windows.Forms.DockStyle.Fill;
			this.propertyEditor.Name = "propertyEditor";
			this.propertyEditor.Size = new System.Drawing.Size(184, 524);
			this.propertyEditor.TabIndex = 0;
			// 
			// diagram1
			// 
			this.diagram1.AllowDrop = true;
			// 
			// diagram1.Controller
			// 
			this.diagram1.Controller.MaxHistory = 256;
			this.diagram1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.diagram1.HScroll = true;
			this.diagram1.LayoutManager = null;
			// 
			// diagram1.Model
			// 
			this.diagram1.Model.BackgroundStyle.Color = System.Drawing.Color.White;
			this.diagram1.Model.BackgroundStyle.GradientAngle = 90F;
			this.diagram1.Model.BackgroundStyle.GradientBounds = ((System.Drawing.RectangleF)(resources.GetObject("diagram1.Model.BackgroundStyle.GradientBounds")));
			this.diagram1.Model.BackgroundStyle.GradientStartColor = System.Drawing.Color.White;
			this.diagram1.Model.BackgroundStyle.Properties = this.diagram1.Model;
			this.diagram1.Model.BackgroundStyle.Texture = null;
			this.diagram1.Model.BackgroundStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile;
			this.diagram1.Model.BackgroundStyle.Type = Syncfusion.Windows.Forms.Diagram.BackgroundStyle.BackgroundType.Solid;
			this.diagram1.Model.BoundaryConstraintsEnabled = true;
			this.diagram1.Model.FillStyle.AlphaFactor = 255;
			this.diagram1.Model.FillStyle.Color = System.Drawing.Color.LightGray;
			this.diagram1.Model.FillStyle.GradientAngle = 90F;
			this.diagram1.Model.FillStyle.GradientBounds = ((System.Drawing.RectangleF)(resources.GetObject("diagram1.Model.FillStyle.GradientBounds")));
			this.diagram1.Model.FillStyle.GradientStartColor = System.Drawing.Color.LightGray;
			this.diagram1.Model.FillStyle.Properties = this.diagram1.Model;
			this.diagram1.Model.FillStyle.Texture = null;
			this.diagram1.Model.FillStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile;
			this.diagram1.Model.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyle.FillType.Solid;
			this.diagram1.Model.Height = 1056F;
			this.diagram1.Model.LineStyle.DashCap = System.Drawing.Drawing2D.DashCap.Flat;
			this.diagram1.Model.LineStyle.DashOffset = 0F;
			this.diagram1.Model.LineStyle.DashStyle = System.Drawing.Drawing2D.DashStyle.Solid;
			this.diagram1.Model.LineStyle.EndCap = System.Drawing.Drawing2D.LineCap.Flat;
			this.diagram1.Model.LineStyle.LineColor = System.Drawing.Color.Black;
			this.diagram1.Model.LineStyle.LineJoin = System.Drawing.Drawing2D.LineJoin.Bevel;
			this.diagram1.Model.LineStyle.LineWidth = 2F;
			this.diagram1.Model.LineStyle.MiterLimit = 10F;
			this.diagram1.Model.LineStyle.Properties = this.diagram1.Model;
			this.diagram1.Model.MeasurementScale = 1F;
			this.diagram1.Model.MeasurementUnits = System.Drawing.GraphicsUnit.Pixel;
			this.diagram1.Model.Name = "Model";
			this.diagram1.Model.RenderingStyle.Properties = this.diagram1.Model;
			this.diagram1.Model.RenderingStyle.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.Default;
			this.diagram1.Model.ShadowStyle.AlphaFactor = 128;
			this.diagram1.Model.ShadowStyle.Color = System.Drawing.Color.LightGray;
			this.diagram1.Model.ShadowStyle.OffsetX = 6F;
			this.diagram1.Model.ShadowStyle.OffsetY = 6F;
			this.diagram1.Model.ShadowStyle.Properties = this.diagram1.Model;
			this.diagram1.Model.ShadowStyle.Visible = false;
			this.diagram1.Model.Width = 816F;
			this.diagram1.Name = "diagram1";
			this.diagram1.NudgeIncrement = 1F;
			this.diagram1.ScrollGranularity = 0.5F;
			this.diagram1.Size = new System.Drawing.Size(464, 524);
			this.diagram1.TabIndex = 0;
			this.diagram1.Text = "diagram1";
			// 
			// diagram1.View
			// 
			this.diagram1.View.BackgroundColor = System.Drawing.Color.DarkGray;
			this.diagram1.View.Grid.Color = System.Drawing.Color.Black;
			this.diagram1.View.Grid.DashOffset = 4F;
			this.diagram1.View.Grid.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
			this.diagram1.View.Grid.GridStyle = Syncfusion.Windows.Forms.Diagram.GridStyle.Point;
			this.diagram1.View.Grid.HorizontalSpacing = 10F;
			this.diagram1.View.Grid.SnapToGrid = true;
			this.diagram1.View.Grid.VerticalSpacing = 10F;
			this.diagram1.View.Grid.Visible = true;
			this.diagram1.View.HandleAnchorColor = System.Drawing.Color.LightGray;
			this.diagram1.View.HandleColor = System.Drawing.Color.White;
			this.diagram1.View.HandleDisabledColor = System.Drawing.Color.Black;
			this.diagram1.View.HandleSize = 6;
			this.diagram1.View.HorizontalRuler.Visible = false;
			this.diagram1.View.MouseTrackingEnabled = true;
			this.diagram1.View.PasteOffsetX = 10;
			this.diagram1.View.PasteOffsetY = 10;
			this.diagram1.View.RulerFillColor = System.Drawing.Color.LightGray;
			this.diagram1.View.RulerLineColor = System.Drawing.Color.Black;
			this.diagram1.View.RulerSize = 16;
			this.diagram1.View.RulerUnits = Syncfusion.Windows.Forms.Diagram.MeasurementsUnit.Inches;
			this.diagram1.View.ShowPageBounds = true;
			this.diagram1.View.VerticalRuler.Visible = false;
			this.diagram1.VScroll = true;
			// 
			// panelDiagram
			// 
			this.panelDiagram.Controls.AddRange(new System.Windows.Forms.Control[] {
																					   this.diagram1});
			this.panelDiagram.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panelDiagram.Location = new System.Drawing.Point(144, 0);
			this.panelDiagram.Name = "panelDiagram";
			this.panelDiagram.Size = new System.Drawing.Size(464, 524);
			this.panelDiagram.TabIndex = 2;
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem5});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItemFileOpen,
																					  this.menuItemFileSave,
																					  this.menuItemFileExit});
			this.menuItem1.Text = "&File";
			// 
			// menuItemFileOpen
			// 
			this.menuItemFileOpen.Index = 0;
			this.menuItemFileOpen.Text = "&Open";
			this.menuItemFileOpen.Click += new System.EventHandler(this.menuItemFileOpen_Click);
			// 
			// menuItemFileSave
			// 
			this.menuItemFileSave.Index = 1;
			this.menuItemFileSave.Text = "&Save";
			this.menuItemFileSave.Click += new System.EventHandler(this.menuItemFileSave_Click);
			// 
			// menuItemFileExit
			// 
			this.menuItemFileExit.Index = 2;
			this.menuItemFileExit.Text = "&Exit";
			this.menuItemFileExit.Click += new System.EventHandler(this.menuItemFileExit_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 1;
			this.menuItem5.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItemToolsSelect,
																					  this.menuItemToolsPan,
																					  this.menuItemToolsZoom,
																					  this.menuItemToolsGroup,
																					  this.menuItemToolsUngroup,
																					  this.menuItemToolsLink});
			this.menuItem5.Text = "&Tools";
			// 
			// menuItemToolsSelect
			// 
			this.menuItemToolsSelect.Index = 0;
			this.menuItemToolsSelect.Text = "&Select";
			this.menuItemToolsSelect.Click += new System.EventHandler(this.menuItemToolsSelect_Click);
			// 
			// menuItemToolsPan
			// 
			this.menuItemToolsPan.Index = 1;
			this.menuItemToolsPan.Text = "&Pan";
			this.menuItemToolsPan.Click += new System.EventHandler(this.menuItemToolsPan_Click);
			// 
			// menuItemToolsZoom
			// 
			this.menuItemToolsZoom.Index = 2;
			this.menuItemToolsZoom.Text = "&Zoom";
			this.menuItemToolsZoom.Click += new System.EventHandler(this.menuItemToolsZoom_Click);
			// 
			// menuItemToolsGroup
			// 
			this.menuItemToolsGroup.Index = 3;
			this.menuItemToolsGroup.Text = "&Group";
			this.menuItemToolsGroup.Click += new System.EventHandler(this.menuItemToolsGroup_Click);
			// 
			// menuItemToolsUngroup
			// 
			this.menuItemToolsUngroup.Index = 4;
			this.menuItemToolsUngroup.Text = "&Ungroup";
			this.menuItemToolsUngroup.Click += new System.EventHandler(this.menuItemToolsUngroup_Click);
			// 
			// menuItemToolsLink
			// 
			this.menuItemToolsLink.Index = 5;
			this.menuItemToolsLink.Text = "&Link Symbols";
			this.menuItemToolsLink.Click += new System.EventHandler(this.menuItemToolsLink_Click);
			// 
			// openFileDialog1
			// 
			this.openFileDialog1.Filter = "Essential Diagram Files|*.edp|All files|*.*";
			// 
			// saveFileDialog1
			// 
			this.saveFileDialog1.Filter = "Essential Diagram Files|*.edp|All files|*.*";
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(792, 545);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.panelDiagram,
																		  this.panelProperties,
																		  this.panelSymbolPalettes});
			this.Menu = this.mainMenu1;
			this.Name = "MainForm";
			this.Text = "Quick Start Sample";
			this.panelSymbolPalettes.ResumeLayout(false);
			this.paletteGroupBar.ResumeLayout(false);
			this.panelProperties.ResumeLayout(false);
			this.panelDiagram.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		private void menuItemFileOpen_Click(object sender, System.EventArgs e)
		{
			if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
			{
				this.diagram1.LoadBinary(this.openFileDialog1.FileName);
			}
		}

		private void menuItemFileSave_Click(object sender, System.EventArgs e)
		{
			if (this.saveFileDialog1.ShowDialog(this) == DialogResult.OK)
			{
				this.diagram1.SaveBinary(this.saveFileDialog1.FileName);
			}
		}

		private void menuItemFileExit_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void menuItemToolsSelect_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("SelectTool");
		}

		private void menuItemToolsPan_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("PanTool");
		}

		private void menuItemToolsZoom_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("ZoomTool");
		}

		private void menuItemToolsGroup_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("GroupTool");
		}

		private void menuItemToolsUngroup_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("UngroupTool");
		}

		private void menuItemToolsLink_Click(object sender, System.EventArgs e)
		{
			this.diagram1.ActivateTool("LinkTool");
		}

		public class MyDiagram: Syncfusion.Windows.Forms.Diagram.Controls.Diagram
		{

			public override Model CreateModel()
			{

				return new QuickStart.MainForm.MyModel();
				//return base.CreateModel ();
			}
		}

		public class MyModel: Syncfusion.Windows.Forms.Diagram.Model
		{

			public override void SetDefaultPropertyValues()
			{
				base.SetDefaultPropertyValues ();
				this.SetPropertyValue("BackgroundImage", 0);
			}
			public int BackgroundImage
			{
			get
				{
				object value = this.GetPropertyValue("BackgroundImage");
				if (value != null)
					{

						return (int) value;

					}

					return 0;
				}
			}

		}



	}
}
